<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="user"
            type="com.app.retrofit.model.object.User" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/background_login"
        tools:context="com.app.register.RegisterActivity">

        <LinearLayout
            android:id="@+id/ll_login_form"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="18dp"
            android:layout_marginTop="70dp"
            android:layout_marginRight="18dp"
            android:background="#C9063F5E"
            android:orientation="vertical"
            android:padding="18dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                style="@style/TextViewStyleSimple"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/first_name"
                android:textSize="13sp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                app:hintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_input"
                    android:hint="@string/first_name"
                    android:padding="8dp"
                    android:text="@={user.first_name}"
                    android:textColor="#000000" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                style="@style/TextViewStyleSimple"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="@string/last_name"
                android:textSize="13sp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                app:hintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_input"
                    android:hint="@string/last_name"
                    android:padding="8dp"
                    android:text="@={user.last_name}"
                    android:textColor="#000000" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                style="@style/TextViewStyleSimple"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="@string/e_mail"
                android:textSize="13sp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_marginTop="5dp"
                app:hintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/background_input"
                    android:hint="@string/e_mail"
                    android:padding="8dp"
                    android:text="@={user.email}"
                    android:textColor="#000000" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                style="@style/TextViewStyleSimple"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/input_password"
                android:textSize="13sp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                app:hintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_input"
                    android:hint="@string/input_password"
                    android:inputType="textPassword"
                    android:padding="8dp"
                    android:text="@={user.password}"
                    android:textColor="#000000" />

            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                style="@style/TextViewStyleSimple"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/confirm_password"
                android:textSize="13sp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                app:hintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_confirm_password"
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_input"
                    android:hint="@string/confirm_password"
                    android:inputType="textPassword"
                    android:padding="8dp"
                    android:textColor="#000000" />

            </com.google.android.material.textfield.TextInputLayout>

            <Button
                android:id="@+id/btn_register"
                style="@style/TextStyleSecondary"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="14dp"
                android:background="@drawable/primary_btn"
                android:text="@string/register"
                app:layout_constraintTop_toBottomOf="@id/et_password" />

            <Button
                android:id="@+id/btn_back"
                style="@style/TextStyleSecondary"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="14dp"
                android:background="@drawable/secondary_btn"
                android:text="@string/back"
                app:layout_constraintTop_toBottomOf="@id/btn_register" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>